## org.apache.xerces.dom3.as
Interface CharacterDataEditAS

All Superinterfaces:
  NodeEditAS

Deprecated. This interface extends the `NodeEditAS` interface with additional methods for document editing. An object implementing this interface must also implement NodeEditAS interface.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface CharacterDataEditAS
extends NodeEditAS

Field Summary

Fields inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`NS_WF_CHECK, PARTIAL_VALIDITY_CHECK, STRICT_VALIDITY_CHECK, WF_CHECK`

Method Summary
`boolean` `canAppendData(java.lang.String arg)` Deprecated. Determines if data can be appended.
`boolean` `canDeleteData(int offset, int count)` Deprecated. Determines if data can be deleted.
`boolean` `canInsertData(int offset, java.lang.String arg)` Deprecated. Determines if data can be inserted.
`boolean` `canReplaceData(int offset, int count, java.lang.String arg)` Deprecated. Determines if data can be replaced.
`boolean` `canSetData(int offset, int count)` Deprecated. Determines if data can be set.
`boolean` `getIsWhitespaceOnly()` Deprecated. `true` if content only whitespace; `false` for non-whitespace.

Methods inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, isNodeValid`

Method Detail

### getIsWhitespaceOnly

    public boolean getIsWhitespaceOnly()

  Deprecated.
  `true` if content only whitespace; `false` for non-whitespace.

### canSetData

    public boolean canSetData(int offset,
                              int count)

  Deprecated.
  Determines if data can be set.

  Parameters:
    `offset` - Offset.
    `count` - Argument to be set.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canAppendData

    public boolean canAppendData(java.lang.String arg)

  Deprecated.
  Determines if data can be appended.

  Parameters:
    `arg` - Argument to be appended.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canReplaceData

    public boolean canReplaceData(int offset,
                                  int count,
                                  java.lang.String arg)

  Deprecated.
  Determines if data can be replaced.

  Parameters:
    `offset` - Offset.
    `count` - Replacement.
    `arg` - Argument to be set.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canInsertData

    public boolean canInsertData(int offset,
                                 java.lang.String arg)

  Deprecated.
  Determines if data can be inserted.

  Parameters:
    `offset` - Offset.
    `arg` - Argument to be set.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canDeleteData

    public boolean canDeleteData(int offset,
                                 int count)

  Deprecated.
  Determines if data can be deleted.

  Parameters:
    `offset` - Offset.
    `count` - Number of 16-bit units to delete.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.